Tutorial de integración
Llamada con formato oficial de Replicate
| Si necesita algún modelo, puede contactar con el servicio de atención al cliente para solicitarlo
Reemplace https://api.replicate.com del sitio oficial por /replicate Las entradas, salidas y métodos de solicitud son los mismos que los del sitio oficial
Proceso de integración
- Crear tarea Después de enviar la tarea, se obtiene el ID de la tarea
- Consultar el progreso de la tarea Consultar el progreso de la tarea mediante el ID de la tarea y obtener el resultado
PS: El período de validez de los enlaces de recursos devueltos es de solo 1 hora
Explicación de los campos clave del cuerpo de respuesta
Campo Tipo Descripción input object Entrada output string o []string URL de salida del contenido status string Estado: starting processing succeeded failed
1.Generar tarea.Método de ruta Usando black-forest-labs/flux-schnell como ejemplo
curl --request POST \
--url {{BASE_URL}}/replicate/v1/models/black-forest-labs/flux-schnell/predictions \
--header 'Authorization: Bearer hk-you-key' \
--header 'Content-Type: application/json' \
--data '{
"input": {
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)",
"go_fast": true,
"megapixels": "1",
"num_outputs": 1,
"aspect_ratio": "1:1",
"output_format": "jpg",
"output_quality": 80,
"num_inference_steps": 4
}
}'El id del cuerpo de respuesta se utiliza como id de tarea para la siguiente consulta
{
"id": "qpt5jq1fssrmc0cmd5hvy31mdg",
"model": "black-forest-labs/flux-schnell",
"version": "dp-4d0bcc010b3049749a251855f12800be",
"input": {
"aspect_ratio": "1:1",
"go_fast": true,
"megapixels": "1",
"num_inference_steps": 4,
"num_outputs": 1,
"output_format": "jpg",
"output_quality": 80,
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)"
},
"logs": "",
"output": null,
"data_removed": false,
"error": null,
"status": "starting",
"created_at": "2025-01-15T09:54:55.566Z",
"urls": {
"cancel": "https://api.replicate.com/v1/predictions/qpt5jq1fssrmc0cmd5hvy31mdg/cancel",
"get": "https://api.replicate.com/v1/predictions/qpt5jq1fssrmc0cmd5hvy31mdg",
"stream": "https://stream.replicate.com/v1/files/bcwr-gvuc2rokjozhlaxh6dcvk6tvhh2ymt4egnnpxvmtqql57angyfsq"
}
}2.Generar tarea.Método version Usando lucataco/flux-schnell-lora como ejemplo Documento de referencia https://replicate.com/lucataco/flux-schnell-lora?input=http A través del documento de referencia, se obtiene el version: 2a6b576af31790b470f0a8442e1e9791213fa13799cbb65a9fc1436e96389574
curl --request POST \
--url {{BASE_URL}}/replicate/v1/predictions \
--header 'Authorization: Bearer hk-your-key' \
--header 'Content-Type: application/json' \
--data '{
"version": "2a6b576af31790b470f0a8442e1e9791213fa13799cbb65a9fc1436e96389574",
"input": {
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)",
"hf_lora": "alvdansen/frosting_lane_flux",
"lora_scale": 0.8,
"num_outputs": 1,
"aspect_ratio": "1:1",
"output_format": "webp",
"output_quality": 80,
"prompt_strength": 0.8,
"num_inference_steps": 4
}
}'El formato del cuerpo de respuesta es el mismo que el formato anterior Consultar tarea Utilizar el id de tarea obtenido de la creación anterior El resultado se encuentra en el campo clave output Nota: El resultado devuelto y los archivos de enlace tienen un período de validez get /replicate/v1/predictions/
curl --request GET \
--url {{BASE_URL}}/replicate/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114 \
--header 'Authorization: Bearer hk-you-key' \
--header 'Content-Type: application/json'Cuerpo de respuesta
{
"id": "ctdwaehfz1rm80cmd5nsjd8114",
"model": "black-forest-labs/flux-schnell",
"version": "dp-4d0bcc010b3049749a251855f12800be",
"input": {
"aspect_ratio": "1:1",
"go_fast": true,
"megapixels": "1",
"num_inference_steps": 4,
"num_outputs": 1,
"output_format": "jpg",
"output_quality": 80,
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)"
},
"logs": "Using seed: 62182\nrunning quantized prediction\nUsing seed: 62182\n 0%| | 0/4 [00:00<?, ?it/s]\n 75%|███████▌ | 3/4 [00:00<00:00, 15.38it/s]\n100%|██████████| 4/4 [00:00<00:00, 13.43it/s]\nTotal safe images: 1 out of 1\n",
"output": [
"https://replicate.delivery/xezq/RoEhEdyl8PoIGFFPg46TU4Svj24i1NDVYmzehJfqLuX9nTFUA/out-0.jpg"
],
"data_removed": false,
"error": null,
"status": "succeeded",
"created_at": "2025-01-15T10:03:39.896Z",
"started_at": "2025-01-15T10:03:40.584470194Z",
"completed_at": "2025-01-15T10:03:41.142386377Z",
"urls": {
"cancel": "https://api.replicate.com/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114/cancel",
"get": "https://api.replicate.com/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114",
"stream": "https://stream.replicate.com/v1/files/bcwr-q57vie7wuzg3wxv2hvpajgmzqzmxe67kqddednevutmrpdcft6xq"
},
"metrics": {
"image_count": 1,
"predict_time": 0.557916184
}
}